summaryrefslogtreecommitdiffstats
path: root/multimedia
diff options
context:
space:
mode:
author Jeff Parent2020-09-26 08:14:33 +0200
committer Willy Sudiarto Raharjo2020-09-26 11:10:56 +0200
commita2b590d7d6e0ea8e39590a2696cd15bb8caf015d (patch)
treec0540bc39a4db3a92718590e59a94dbb1399b796 /multimedia
parent297f4f5d8ec360123eda106b5174d36f3b5a4301 (diff)
downloadslackbuilds-a2b590d7d6e0ea8e39590a2696cd15bb8caf015d.tar.gz
multimedia/castget: Added (A command line tool to download podcasts)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'multimedia')
-rw-r--r--multimedia/castget/README9
-rw-r--r--multimedia/castget/castget.SlackBuild102
-rw-r--r--multimedia/castget/castget.info10
-rw-r--r--multimedia/castget/slack-desc19
4 files changed, 140 insertions, 0 deletions
diff --git a/multimedia/castget/README b/multimedia/castget/README
new file mode 100644
index 0000000000..e17bb1c8d4
--- /dev/null
+++ b/multimedia/castget/README
@@ -0,0 +1,9 @@
+castget is a simple, command-line based RSS enclosure downloader. It is
+primarily intended for automatic, unattended downloading of podcasts.
+
+It features
+ - simple configuration,
+ - automatic tagging of downloaded MP3 files using ID3v2,
+ - automatic M3U playlists, and
+ - support for all RSS versions (to the extent this is possible) and
+ Media RSS.
diff --git a/multimedia/castget/castget.SlackBuild b/multimedia/castget/castget.SlackBuild
new file mode 100644
index 0000000000..184429e98f
--- /dev/null
+++ b/multimedia/castget/castget.SlackBuild
@@ -0,0 +1,102 @@
+#!/bin/sh
+
+# Slackware build script for castget
+
+# Copyright 2020 Jeff Parent <jeff+SBo@sh0.xyz>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=castget
+VERSION=${VERSION:-2.0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS CHANGES.md castgetrc.example COPYING COPYING.LIB INSTALL \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/multimedia/castget/castget.info b/multimedia/castget/castget.info
new file mode 100644
index 0000000000..0e0e699294
--- /dev/null
+++ b/multimedia/castget/castget.info
@@ -0,0 +1,10 @@
+PRGNAM="castget"
+VERSION="2.0.1"
+HOMEPAGE="https://castget.johndal.com/"
+DOWNLOAD="http://savannah.nongnu.org/download/castget/castget-2.0.1.tar.bz2"
+MD5SUM="c8007f3db3df07e3e9f999868ea741d0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="id3lib"
+MAINTAINER="Jeff Parent"
+EMAIL="jeff+SBo@sh0.xyz"
diff --git a/multimedia/castget/slack-desc b/multimedia/castget/slack-desc
new file mode 100644
index 0000000000..68c67701bf
--- /dev/null
+++ b/multimedia/castget/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+castget: castget (A command line tool to download podcasts)
+castget:
+castget: castget is a simple, command-line based RSS enclosure downloader. It
+castget: is primarily intended for automatic, unattended downloading of
+castget: podcasts.
+castget:
+castget: It features
+castget: - simple configuration
+castget: - automatic tagging of downloaded MP3 files using ID3v2
+castget: - automatic M3U playlists
+castget: - and support for all RSS versions and Media RSS